# $Id: e-smith-shared-folders.spec,v 1.0 2009/04/08 20:02:28 VIP-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: sme server shared folders module
%define name smeserver-shared-folders
Name: %{name}
%define version 0.1
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-shared-folders-0.1-maxShareNameLength.patch
Patch1: smeserver-shared-folders-0.1-add_acl_in_fstab.patch
Patch2: smeserver-shared-folders-0.1-locale-2009-05-05.patch
Patch3: smeserver-shared-folders-0.1-optimize_permissions.patch
Patch4: smeserver-shared-folders-0.1-extended_access.patch
Patch5: smeserver-shared-folders-0.1-keep_versions_in_panel.patch
Patch6: smeserver-shared-folders-0.1-locale_extended_access.patch
Patch7: smeserver-shared-folders-0.1-locale_add_description.patch
Patch8: smeserver-shared-folders-0.1-remove_desc.patch
Patch9: smeserver-shared-folders-0.1-http_skip_wrong_values.patch
Patch10: smeserver-shared-folders-0.1-locale-2009-05-20.patch
Patch11: smeserver-shared-folders-0.1-locale-2009-05-21.patch
Patch12: smeserver-shared-folders-0.1-smb_template_begin.patch
Patch13: smeserver-shared-folders-0.1-locale_en_2009-05-21.patch
Patch14: smeserver-shared-folders-0.1-locale-2009-05-25.patch
Patch15: smeserver-shared-folders-0.1-external_ssl_as_local.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.13.15-76
Requires: perl(CGI::FormMagick)
Requires: e-smith-formmagick >= 1.4.0-12

Requires: acl
BuildRequires: perl
BuildRequires: e-smith-devtools >= 1.11.0-03


%description
This module allows you to create network shares
with more flexibility than ibays as it supports ACLs

%changelog
* Mon May 25 2009 Daniel B. <daniel@firewall-services.com> [0.1-7]
- Include hosts/networks defined in $externalSSLAccess for local access
  (httpAccess)

* Mon May 25 2009 Daniel B. <daniel@firewall-services.com> [0.1-6]
- Apply locale 2009-05-25 patch

* Thu May 21 2009 Daniel B. <daniel@firewall-services.com> [0.1-5]
- Add an empty template-begin for smb.conf template
- Add locale 2009-05-21 patch (en-us)

* Thu May 21 2009 Daniel B. <daniel@firewall-services.com> [0.1-4]
- apply locale 2009-05-21 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 0.1-3.sme
- apply locale 2009-05-20 patch

* Wed May 13 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- add http access, with some options in the panel
- present the keepversion option of the recylcebin in the panel
- changes in db keys
- remove some descriptions in the panel
- optimization in share-modiffy to limit the time needed
  to reset permissions

* Tue May 05 2009 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Add locale patch 2009-05-05

* Tue Apr 28 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta3]
- Add acl option in fstab via the template system
  (just like usrquota and grpquota)

* Thu Apr 16 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta2]
- Rename spec file

* Wed Apr 08 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta1]
- Rename maxIbayNameLength to maxShareNameLength

* Wed Apr 08 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta0]
- Initial release.

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%pre
%post

%build
# Force creation of potentially empty directories
mkdir -p root/etc/e-smith/web/{common,functions}
mkdir -p root/etc/e-smith/web/panels/manager/{cgi-bin,common,html}
mkdir -p root/home/e-smith/files/shares

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
